Bug 1987141 - hp-plugin installs malformed udev files
Summary: hp-plugin installs malformed udev files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hplip
Version: 34
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Zdenek Dohnal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-29 03:46 UTC by william.garber
Modified: 2021-08-08 01:08 UTC (History)
5 users (show)

Fixed In Version: hplip-3.21.2-10.fc34 hplip-3.21.2-10.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-08 01:03:46 UTC
Type: Bug


Attachments (Terms of Use)

Description william.garber 2021-07-29 03:46:32 UTC
Description of problem:

unknown package installs
  /etc/udev/rules.d/40-libsane.rules
  /etc/udev/rules.d/S99-2000S1.rules
with wrong permission 755
and generates error in journalctl as follows:
  Jul 28 15:29:27 electron systemd-udevd[858]: /etc/udev/rules.d/40-libsane.rules:26: GOTO="libsane_rules_end" has no matching label, ignoring
  Jul 28 15:29:27 electron systemd-udevd[858]: /etc/udev/rules.d/S99-2000S1.rules:26: GOTO="libsane_rules_end" has no matching label, ignoring

can fix by substituting 
  GOTO="libsane_rules_end"
  GOTO="libsane_usb_rules_end"
in both files

Version-Release number of selected component (if applicable):
dnf provides /etc/udev/rules.d/40-libsane.rules
previous command did not show what package this file comes from
so I do not know.

How reproducible:
each boot

Steps to Reproduce:
boot and run
$ journalctl -b -p3

Actual results:
see above journalctl error

Expected results:
no error

Additional info:
this bug has been there for a long time.
scanner is made by hewlett packard.

Comment 1 Zdenek Dohnal 2021-07-29 11:57:35 UTC
Hi William,

thank you for reporting the issue!

Ok, the permissions on the files are set by hp-plugin, so I can easily fix. However, bad labels and groups in the files should be fixed by files provider - HP.

I added a comment to the existing upstream ticket - https://bugs.launchpad.net/hplip/+bug/1847477 - with the fix for permissions.

I will 'hack' the fix for labels and group in Fedora for now.

Comment 2 Fedora Update System 2021-07-30 08:08:54 UTC
FEDORA-2021-b3a804a93f has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-b3a804a93f

Comment 3 Fedora Update System 2021-07-30 08:40:29 UTC
FEDORA-2021-00e7a22e2c has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-00e7a22e2c

Comment 4 Fedora Update System 2021-08-08 01:03:46 UTC
FEDORA-2021-b3a804a93f has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Fedora Update System 2021-08-08 01:08:07 UTC
FEDORA-2021-00e7a22e2c has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.